Jump to content

phpVMS 7 Release Date


OmerAslan
 Share

Recommended Posts

6 hours ago, Nabeel said:

Working on it, I'm just trying to close out some of the final tasks I had left. I also need people to help test out the latest dev versions.

Hi my friend,

i don't know how to install dev version. But if you release new beta with installer then i will be glad to test it.

Link to comment
Share on other sites

  • Administrators
On 7/17/2019 at 12:21 PM, Michael2015 said:

Well if you are able to assist on the installation procedure i will happily try to design a full virtual airline based on this phpvms version. also there isn't any modules out for phpvms 7 right ? 

No modules yet. Instructions are on http://docs.phpvms.net

On 7/17/2019 at 2:08 PM, OmerAslan said:

Hi my friend,

i don't know how to install dev version. But if you release new beta with installer then i will be glad to test it.

There's a zip file

Link to comment
Share on other sites

In the Downloads section are the Beta v7.0.0 dated 11/26/2018
the Alpha 1 v7.0.0 of 04/02/2018
the Alpha 2 v7.0.0 of 02/23/2018

In demo version http://demo.phpvms.net/
There is a module in ADDONS called VMSAcars that does not exist in BETA - ALPHA 1 and ALPHA 2.
I have the BETA v.7.0.0 installed, when you make a flight and report the PIREP does not count the flight or the hours in the DASHBOARD menu.
In the PROFILE of the Pilot it does not count the hours flown or the flights.
I inform you so you can correct it.
My version is: version 7.0.0 (build 181025-6f7735)

A new version is reported in the administration panel but I don't know where to download it: New version 7.0.0-190718-748601 is available!

Greetings and great work.
Francisco 

Link to comment
Share on other sites

I see that it is a smaller version. Is it installed the same way?
I don't know how it is installed.
I go to the web address but the installer does not run
I imagine it is installed with Composer, but I don't know how it is done.

 

Edited by polirom
Link to comment
Share on other sites

  • Administrators
  • Download the github repository
  • Extract the zip file to your desktop
  • Upload to a new directory on your webspace
  • Creat a new database for phpVMS7
  • In your browser, navigate to your URL\new directory
  • Install should start automatically

You can also install on your computer using Wamp or Xampp.

You must be able to use PHP 7 or higher on your webspace or local install.

Link to comment
Share on other sites

3 hours ago, ProAvia said:
  • Download the github repository
  • Extract the zip file to your desktop
  • Upload to a new directory on your webspace
  • Creat a new database for phpVMS7
  • In your browser, navigate to your URL\new directory
  • Install should start automatically

You can also install on your computer using Wamp or Xampp.

You must be able to use PHP 7 or higher on your webspace or local install.

this is what i get


Warning: require(C:\xampp\htdocs\phpvms-dev\bootstrap/../vendor/autoload.php): failed to open stream: No such file or directory in C:\xampp\htdocs\phpvms-dev\bootstrap\autoload.php on line 17

Fatal error: require(): Failed opening required 'C:\xampp\htdocs\phpvms-dev\bootstrap/../vendor/autoload.php' (include_path='C:\xampp\php\PEAR') in C:\xampp\htdocs\phpvms-dev\bootstrap\autoload.php on line 17

 

 

Link to comment
Share on other sites

14 hours ago, ProAvia said:

I have it running on my web host without error - haven't tried running a local copy.

This version that you have, contains in addons the module VMSAcars?
I just installed and I don't get that option.
In the demo is VMSAcars.  Demo
In my installation you don't have

Edited by polirom
Link to comment
Share on other sites

  • 3 weeks later...
On 7/29/2019 at 7:26 PM, Nabeel said:

If vendor/autoload.php is missing, it means composer install hasn't been run

When i download from release page it's old version and i can install without any problem but when i download from github clone or download green color button i am getting that error. Your latest version is not in release page i guess.

Image

Link to comment
Share on other sites

  • Administrators

From the Github.....

  • Click on "3 branches"
  • Click on "dev" branch (listed under "Default"
  • Download that one (as of 08/14/2019, it was updated 4 days ago)

You still need to run "composer install" to get all the dependencies.

Edited by ProAvia
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...